Bug 130748 - USB mouse stops working
USB mouse stops working
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-08-24 05:05 EDT by drago01
Modified: 2015-01-04 17:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-16 01:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
modprobe.conf (599 bytes, text/plain)
2004-08-24 05:06 EDT, drago01
no flags Details
dmesg output (12.95 KB, text/plain)
2004-08-24 05:07 EDT, drago01
no flags Details

  None (edit)
Description drago01 2004-08-24 05:05:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
When i start hwbrowser my usbmouse stops working until the next reboot.
replugin it don't help.
In /var/log/messages i have found this error:
usb 2-1: control timeout on ep0in
(this messages also shown on the reboot screen) and there is an error
that i can't unmount the usbfs.
sometimes it stops working without a reason (don't starting hwbrowser)
I have a Microsoft 3-Button Mouse with IntelliEye(TM).
I have a MSI board with via chip using the usb uhci and ehci drivers
for usb.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start hwbrowser

Actual Results:  mouse stops working

Expected Results:  mouse should work normaly

Additional info:

I have testet the newest up2date kernel and the old one both have this
Comment 1 drago01 2004-08-24 05:06:36 EDT
Created attachment 103019 [details]
Comment 2 drago01 2004-08-24 05:07:13 EDT
Created attachment 103020 [details]
dmesg output
Comment 3 mabusfoo 2004-10-12 08:29:59 EDT
it appears to be something specific to usb. i initially thought it was
in the ohci module but you say you use the other ones. It seems to be
a usb issue rather than a specific device issue as well. I've seen
this error being reported with many different devices from mass
storage to mice which makes me think it's not a device issue but
rather how the kernel handles usb.
Comment 4 JLapham 2005-01-18 08:24:09 EST
I am seeing a USB mouse freeze on my FC2 (and now) FC3 system, similar
to what is reported here.  It occurs anywhere after 3-8 days of uptime
on the computer.

CTRL-ALT-Backspace, however, logs me out and the mouse returns to
functioning.  The machine can also be reached via ssh.

A solution that occasionally brings the mouse back to life without
having to logout or reboot is (for reasons I do not understand) to
issue a "touch /proc/bus/usb/devices"

What can I do to debug this further?

[root@200 ~]# lsmod | grep uhci
uhci_hcd               31321  0
[root@200 ~]# grep usb /etc/modprobe.conf
alias usb-controller usb-uhci
[root@200 ~]# grep mice /etc/X11/xorg.conf
        Option      "Device" "/dev/input/mice"
[root@200 ~]# lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8374 P4X400 Host
Controller/AGP Bridge (rev 82)
00:01.0 PCI bridge: VIA Technologies, Inc. VT8237 PCI Bridge
00:0a.0 Ethernet controller: MYSON Technology Inc SURECOM EP-320X-S
100/10M Ethernet PCI Adapter
00:0f.0 RAID bus controller: VIA Technologies, Inc. VIA VT6420 SATA
RAID Controller (rev 80)
00:0f.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 81)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 81)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 81)
00:10.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 81)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8237 ISA bridge
[KT600/K8T800 South]
00:11.5 Multimedia audio controller: VIA Technologies, Inc.
VT8233/A/8235/8237 AC97 Audio Controller (rev 60)

Comment 5 JLapham 2005-01-18 08:25:34 EST
I should add that I administer 4 FC3 computers, and this problem only
exists with one of them.  A 2.4MHz P4 (asus p4p8x-x motherboard).
Comment 6 JLapham 2005-01-24 09:28:46 EST
I moved the USB mouse to the PS/2 port with the use of an adapter, and
two days after making the change the mouse stopped working.  No
messages in the logs, nothing.  Obviously the "touch
/proc/bus/usb/devices" trick did not fix the problem.  However, a
"telinit 3; telinit 5" did restore the mouse.

So, at least in my case, this does not appear to be USB related.
Comment 7 Dave Jones 2005-04-16 01:56:23 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.
Comment 8 Willis Brown Jr. 2007-05-11 03:09:17 EDT
I have the same problem. I'm using MS Intellimouse Optical and am running
Windows XP with SP2. Stops responding in PS/2 and have to plug it in USB or
reboot to bring it back to life. Finally I've just started keeping it in my
front USB and have to constantly plug/unplug it to get it working again which is
to say the least VERY annoying.

Please help.

Note You need to log in before you can comment on or make changes to this bug.